# Update an inspection record (/docs/api-reference/quality/QualityController_updateRecord)

`PATCH /api/factories/{factoryId}/quality/inspections/{id}`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | Record ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "measurements": {
      "description": "Updated measurements array.",
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "notes": {
      "type": "string",
      "description": "Notes.",
      "example": "Re-measured after recalibration."
    },
    "status": {
      "type": "string",
      "description": "Record status.",
      "enum": [
        "pending",
        "pass",
        "fail",
        "conditional"
      ],
      "example": "pending"
    }
  }
}
```

## Responses

### 200